cURL
curl https://api.aiql.io/connections \
-H "Authorization: Bearer $AIQL_API_KEY"{
"data": [
{
"id": "<string>",
"connector_type": "<string>",
"name": "<string>",
"workspace_id": "<string>",
"credential_id": "<string>",
"config": {},
"change_token": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Connections
List Connections
GET
/
connections
cURL
curl https://api.aiql.io/connections \
-H "Authorization: Bearer $AIQL_API_KEY"{
"data": [
{
"id": "<string>",
"connector_type": "<string>",
"name": "<string>",
"workspace_id": "<string>",
"credential_id": "<string>",
"config": {},
"change_token": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Query Parameters
Maximum number of items to return per page.
Required range:
1 <= x <= 100Opaque cursor pointing to the page to fetch. Omit to start from the first page.